Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8248815

[GRAAL] Enable tests with GC which currently Graal does not support when it adds support

    Details

    • Type: Enhancement
    • Status: Open
    • Priority: P4
    • Resolution: Unresolved
    • Affects Version/s: 16
    • Fix Version/s: tbd
    • Component/s: hotspot
    • Labels:

      Description

      There are a lot of Hotspot tests which have
      @requires vm.gc.X & !vm.graal.enabled

      Currently Graal does not support Z, Epsilon, Shenandoah GCs. Tests which run use such GC are excluded from running with Graal.

      But when Graal start supporting these GCs we should enable testing with them.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kvn Vladimir Kozlov
                Reporter:
                kvn Vladimir Kozlov
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: